void GetDescription(char d[])
{
  strcpy(d,"STANT's Menu 3x4 Type 1");
}

int GetPriority()
{
  return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}

void DeleteBlock(char block[])
{
   int val, i, num;
   val = GetValueAfter(block);
   num = GetLineNum(block);
   RemoveLineByNum(num);
   for (i = 0; i < val; i++) RemoveLineByNum(num);
}
int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   if (IsResMore176())
   {
      log("This script only for 176x220 phones.");
      return;
   }
   
   DeleteBlock("0 42 ");
   DeleteBlock("0 43 ");
   DeleteBlock("0 61 ");
   DeleteBlock("0 62 ");
   DeleteBlock("0 63 ");
   DeleteBlock("0 64 ");

   AddLine("0 42 12");                   
   AddLine("1 17 28 63 74");             
   AddLine("1 64 28 110 74");            
   AddLine("1 111 28 157 74");           
   AddLine("1 17 69 63 115");            
   AddLine("1 64 69 110 115");           
   AddLine("1 111 69 157 115");          
   AddLine("1 17 110 63 156");           
   AddLine("1 64 110 110 156");          
   AddLine("1 111 110 157 156");         
   AddLine("1 17 151 63 197");           
   AddLine("1 64 151 110 197");          
   AddLine("1 111 151 157 197");         
   AddLine("0 43 12");                   
   AddLine("1 17 28 63 74");             
   AddLine("1 64 28 110 74");            
   AddLine("1 111 28 157 74");           
   AddLine("1 17 69 63 115");            
   AddLine("1 64 69 110 115");           
   AddLine("1 111 69 157 115");          
   AddLine("1 17 110 63 156");           
   AddLine("1 64 110 110 156");          
   AddLine("1 111 110 157 156");         
   AddLine("1 17 151 63 197");           
   AddLine("1 64 151 110 197");          
   AddLine("1 111 151 157 197");         
   AddLine("0 61 12");                   
   AddLine("2 1");                       
   AddLine("2 2");                       
   AddLine("2 3");                       
   AddLine("2 4");                       
   AddLine("2 5");                       
   AddLine("2 6");                       
   AddLine("2 7");                       
   AddLine("2 8");                       
   AddLine("2 9");                       
   AddLine("2 10");                      
   AddLine("2 11");                      
   AddLine("2 0");                       
   AddLine("0 62 12");                   
   AddLine("2 11");                      
   AddLine("2 0");                       
   AddLine("2 1");                       
   AddLine("2 2");                       
   AddLine("2 3");                       
   AddLine("2 4");                       
   AddLine("2 5");                       
   AddLine("2 6");                       
   AddLine("2 7");                       
   AddLine("2 8");                       
   AddLine("2 9");                       
   AddLine("2 10");                      
   AddLine("0 63 12");                   
   AddLine("2 3");                       
   AddLine("2 4");                       
   AddLine("2 5");                       
   AddLine("2 6");                       
   AddLine("2 7");                       
   AddLine("2 8");                       
   AddLine("2 9");                       
   AddLine("2 10");                      
   AddLine("2 11");                      
   AddLine("2 1");                       
   AddLine("2 2");                       
   AddLine("2 0");                       
   AddLine("0 64 12");                   
   AddLine("2 11");                      
   AddLine("2 9");                       
   AddLine("2 10");                      
   AddLine("2 0");                       
   AddLine("2 1");                     
   AddLine("2 2");                       
   AddLine("2 3");                    
   AddLine("2 4");                       
   AddLine("2 5");                       
   AddLine("2 6");                       
   AddLine("2 7");                       
   AddLine("2 8");                       


}